﻿namespace TestProject;

/// <summary>
/// 헬로우 메시지
/// </summary>
public class HelloMessage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 이름 - Name

    /// <summary>
    /// 이름
    /// </summary>
    public string Name { get;private set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - HelloMessage(name)

    /// <summary>
    /// 생성자
    /// </summary>
    /// <param name="name">이름</param>
    public HelloMessage(string name)
    {
        Name = name;
    }

    #endregion
}