﻿using Proto;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        ActorSystem system = new ActorSystem();

        Props helloProps = Props.FromProducer(() => new HelloActor());

        PID helloPID = system.Root.Spawn(helloProps);

        system.Root.Send(helloPID, new HelloMessage("World"));

        Console.WriteLine("프로그램을 종료하기 위해서 아무 키나 눌러주시기 바랍니다.");

        Console.ReadKey(false);
    }

    #endregion
}