﻿using Proto;

namespace TestProject;

/// <summary>
/// 헬로우 액터
/// </summary>
public class HelloActor : IActor
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 수신하기 (비동기) - ReceiveAsync(context)

    /// <summary>
    /// 수신하기 (비동기)
    /// </summary>
    /// <param name="context">컨텍스트</param>
    /// <returns>태스크</returns>
    public Task ReceiveAsync(IContext context)
    {
        if(context.Message is HelloMessage helloMessage)
        {
            Console.WriteLine($"Hello {helloMessage.Name}"); 
        }

        return Task.CompletedTask;
    }

    #endregion
}